Bug 216009 - Violated upgrade path
Summary: Violated upgrade path
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: monotone   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-16 19:29 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 0.31-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-28 20:08:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Schwendt 2006-11-16 19:29:48 UTC
Please see
https://www.redhat.com/archives/fedora-maintainers/2006-November/msg00190.html

and look for your e-mail address in that message.

Packages published for old distributions must have a lower Version-Release than packages for newer distributions.


(This is an automated bugzilla submission.
)

Comment 1 Kevin Fenzi 2006-12-05 22:22:22 UTC
Hey Roland. 

In an effort to get some of these upgrade problems fixed up I have taken a look
at this bug. 

As far as I can tell the FC-6 branch of this package was updated when fc4 and
fc5 were updated and rebuild, but FC-6 was never built. 

A mock rebuild of the existing FC-6 branch works fine here. 

So, I think all that needs to be done here is a build request. 
If you could do that it would be great. If I don't hear from you in a few days I
will do so myself to get this fixed up. 

Comment 2 Roland McGrath 2006-12-06 05:29:08 UTC
stupidity of fe cvs setup made it put the tag on the wrong subdir, and then
refuse to make the tag in the right place.  i think there may be no way to get
an fc6 build without a rel bump just to make it allow make tag.

Comment 3 Kevin Fenzi 2006-12-06 05:59:46 UTC
Odd. Which directory has the wrong tag in it? 

What do you get from doing a 'make tag' in the FC-6 branch directory?
You should be able to use 'cvs status -v' to see the tags on each file/revision... 

You may be able to use 'export TAG_OPTS=-F' then 'make tag' to force the tag... 

The safest course may well be to just bump the release on fc6/devel at least and
re-tag them with the new release. 

Comment 4 Roland McGrath 2006-12-06 06:20:57 UTC
magilla 23 % make tag
cvs tag  -c monotone-0_31-1_fc6
ERROR: The tag monotone-0_31-1_fc6 is already applied on a different branch
ERROR: You can not forcibly move tags between branches
monotone-0_21-1_fc5:devel:roland:1121730800
monotone-0_21-2_fc5:devel:roland:1122493169
monotone-0_21-2_fc4:FC-4:roland:1122508419
monotone-0_21-3_fc4:FC-4:roland:1123408475
monotone-0_21-3_fc5:devel:roland:1123409287
monotone-0_22-1_fc4:FC-4:roland:1124743625
monotone-0_22-2_fc4:FC-4:roland:1124744069
monotone-0_22-3_fc4:FC-4:roland:1124775080
monotone-0_22-4_fc4:FC-4:roland:1124775449
monotone-0_22-4_fc5:devel:roland:1124780696
monotone-0_23-1_fc4:FC-4:roland:1128394973
monotone-0_23-1_fc5:devel:roland:1128397559
monotone-0_24-1_fc4:FC-4:roland:1134355217
monotone-0_24-1_fc5:devel:roland:1134459374
monotone-0_25-1_fc4:FC-4:roland:1136539818
monotone-0_25-2_fc4:FC-4:roland:1136543304
monotone-0_25-2_fc5:devel:roland:1136547293
monotone-0_25-3_fc5:devel:roland:1141153148
monotone-0_26-1_fc6:devel:roland:1144789883
monotone-0_26-1_fc5:FC-5:roland:1144794555
monotone-0_26-1_fc4:FC-4:roland:1144794653
monotone-0_26-2_fc6:devel:roland:1147117828
monotone-0_26-2_fc4:FC-4:roland:1147117861
monotone-0_26-2_fc5:FC-5:roland:1147117875
monotone-0_27-1_fc4:FC-4:roland:1152684785
monotone-0_27-1_fc5:FC-5:roland:1152688083
monotone-0_27-1_fc6:devel:roland:1152688316
monotone-0_28-1_fc5:FC-5:roland:1154636731
monotone-0_28-1_fc4:FC-4:roland:1154636900
monotone-0_28-1_fc6:devel:roland:1154636941
monotone-0_28-2_fc5:FC-5:roland:1154639986
monotone-0_28-2_fc6:devel:roland:1154643824
monotone-0_28-2_fc4:FC-4:roland:1154643843
monotone-0_28-3_fc6:devel:roland:1157748776
monotone-0_30-1_fc5:FC-5:roland:1160591921
monotone-0_30-1_fc4:FC-4:roland:1160595188
monotone-0_30-1_fc6:devel:roland:1160595208
monotone-0_31-1_fc6:devel:roland:1163301308
monotone-0_31-1_fc7:devel:roland:1163301327
monotone-0_31-1_fc5:FC-5:roland:1163301436
cvs tag: Pre-tag check failed
cvs [tag aborted]: correct the above errors first!
make: *** [tag] Error 1


Comment 5 Michael Schwendt 2006-12-06 10:01:46 UTC
Release: 0.31-1%{?dist}.1

to the rescue.

Comment 6 Michael Schwendt 2006-12-06 10:03:18 UTC
Release: 1%{?dist}.1


Comment 7 Kevin Fenzi 2006-12-07 20:39:38 UTC
Yeah, you have this tag in your devel branch already. Possibly you did a 'make
tag' after the branch but before updating your common directory so it was seeing
devel as fc6, when it should have been fc7. 

As suggested in comment #6 you should bump the release to 
1%{?dist}.1 
add a changelog entry, make tag, and make plague.

Comment 8 Kevin Fenzi 2006-12-22 04:03:41 UTC
Hey Roland. Have you had a chance to push this fix out? 
If you like I would be happy to push out a fixed version for you... 

This should get fixed soon, as it's affecting users in a released version... 

Comment 9 Roland McGrath 2006-12-22 04:12:18 UTC
pls go ahead and push the rebuild
pls keep .spec identical committed on all branches, though build is needed only
for fc6

Comment 10 Kevin Fenzi 2006-12-22 04:27:15 UTC
well, I will need to bump the release/add a changelog for fc6. 
No other branches will be affected...

Something like: 

diff -u -r1.19 monotone.spec
--- monotone.spec       12 Nov 2006 03:15:47 -0000      1.19
+++ monotone.spec       22 Dec 2006 04:18:39 -0000
@@ -1,6 +1,6 @@
 Name: monotone
 Version: 0.31
-Release: 1%{?dist}
+Release: 1%{?dist}.1
 
 Summary: A free, distributed version control system
 Group: Development/Tools
@@ -164,6 +164,9 @@
 
 
 %changelog
+* Thu Dec 21 2006 Kevin Fenzi <kevin@tummy.com> - 0.31-1.1
+- Bump and rebuild to fix upgrade path
+
 * Sat Nov 11 2006 Roland McGrath <roland@redhat.com> - 0.31-1
 - Updated for 0.31 release.

Is that acceptable?

Comment 11 Roland McGrath 2006-12-22 04:40:01 UTC
keep .spec identical committed on all branches, though build is needed only for fc6

Comment 12 Kevin Fenzi 2006-12-22 04:52:00 UTC
ok, so you would prefer me checking in the above change on all branches, but
only building the fc6 one? That could cause some confusion down the line, but I
will do so if you prefer it. 

Comment 13 Roland McGrath 2006-12-22 05:29:58 UTC
yes, keep branches identical always
i don't care if you do superfluous builds or not

Comment 14 Kevin Fenzi 2006-12-22 06:49:04 UTC
ok, fc5/fc6/devel branches all bumped and checked in and builds fired off. 

fc4 is already divergent from the other branches, perhaps fc4 has too old a
boost-devel to work with the new monotone version? I left it as it was. 
Oddly I see the newer boost-devel in fc4/updates-testing, but never released. 



Comment 15 Roland McGrath 2007-02-28 20:08:48 UTC
This was fixed by Kevin's rebuild.  fc4 is indeed dead.


Note You need to log in before you can comment on or make changes to this bug.